Bug 973816 - JCR - PostgresPlus 9.2 - Errors in log (Two top level containers created)
JCR - PostgresPlus 9.2 - Errors in log (Two top level containers created)
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity unspecified
: DR01
: 6.1.1
Assigned To: Boleslaw Dawidowicz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 16:18 EDT by mgottval
Modified: 2014-09-14 20:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Compatibility issues between the JCR and PostgresPlus 9.2 caused the JCR to operate improperly. The fix implements improvements in handling this specific database in the JCR code, which corrects the originally reported issue.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mgottval 2013-06-12 16:18:42 EDT
There are many errors in log of JCR unit tests on PostgresPlus 9.2. 

javax.jcr.RepositoryException: Failed to get Repository instance.: Two top level containers created, but must be only one.: Two top level containers created, but must be only one.
	at org.apache.jackrabbit.test.RepositoryHelper.getRepository(RepositoryHelper.java:70)
	at org.apache.jackrabbit.test.RepositoryHelper.getProperty(RepositoryHelper.java:150)
	at org.apache.jackrabbit.test.AbstractJCRTest.getProperty(AbstractJCRTest.java:461)
	at org.apache.jackrabbit.test.AbstractJCRTest.setUp(AbstractJCRTest.java:280)
	at org.exoplatform.services.jcr.api.core.query.AbstractQueryTest.setUp(AbstractQueryTest.java:48)
	at junit.framework.TestCase.runBare(TestCase.java:132)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at org.apache.jackrabbit.test.AbstractJCRTest.run(AbstractJCRTest.java:425)
	at junit.framework.TestSuite.runTest(TestSuite.java:243)
	at junit.framework.TestSuite.run(TestSuite.java:238)
	at junit.framework.TestSuite.runTest(TestSuite.java:243)
	at junit.framework.TestSuite.run(TestSuite.java:238)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:83)
	at org.apache.maven.surefire.junit4.JUnit4Provider.execute(JUnit4Provider.java:234)
	at org.apache.maven.surefire.junit4.JUnit4Provider.executeTestSet(JUnit4Provider.java:133)
	at org.apache.maven.surefire.junit4.JUnit4Provider.invoke(JUnit4Provider.java:114)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.util.ReflectionUtils.invokeMethodWithArray(ReflectionUtils.java:188)
	at org.apache.maven.surefire.booter.ProviderFactory$ProviderProxy.invoke(ProviderFactory.java:166)
	at org.apache.maven.surefire.booter.ProviderFactory.invokeProvider(ProviderFactory.java:86)
	at org.apache.maven.surefire.booter.ForkedBooter.runSuitesInProcess(ForkedBooter.java:101)
	at org.apache.maven.surefire.booter.ForkedBooter.main(ForkedBooter.java:74)
Caused by: org.apache.jackrabbit.test.RepositoryStubException: Two top level containers created, but must be only one.
	at org.exoplatform.services.jcr.ExoRepositoryStub.getRepository(ExoRepositoryStub.java:155)
	at org.apache.jackrabbit.test.RepositoryHelper.getRepository(RepositoryHelper.java:68)
	...


java.lang.IllegalStateException: Two top level containers created, but must be only one.
	at org.exoplatform.container.ExoContainerContext.setTopContainer(ExoContainerContext.java:159)
	at org.exoplatform.container.StandaloneContainer$2.run(StandaloneContainer.java:181)
	at org.exoplatform.container.StandaloneContainer$2.run(StandaloneContainer.java:178)
	at java.security.AccessController.doPrivileged(Native Method)
	at org.exoplatform.commons.utils.SecurityHelper.doPrivilegedAction(SecurityHelper.java:288)
	at org.exoplatform.container.StandaloneContainer.createNStartContainer(StandaloneContainer.java:177)
	at org.exoplatform.container.StandaloneContainer.getInstance(StandaloneContainer.java:163)
	at org.exoplatform.container.StandaloneContainer.getInstance(StandaloneContainer.java:118)
	at org.exoplatform.services.jcr.BaseStandaloneTest.setUp(BaseStandaloneTest.java:144)
	at junit.framework.TestCase.runBare(TestCase.java:132)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:243)
	at junit.framework.TestSuite.run(TestSuite.java:238)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:83)
	at org.apache.maven.surefire.junit4.JUnit4Provider.execute(JUnit4Provider.java:234)
	at org.apache.maven.surefire.junit4.JUnit4Provider.executeTestSet(JUnit4Provider.java:133)
	at org.apache.maven.surefire.junit4.JUnit4Provider.invoke(JUnit4Provider.java:114)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.apache.maven.surefire.util.ReflectionUtils.invokeMethodWithArray(ReflectionUtils.java:188)
	at org.apache.maven.surefire.booter.ProviderFactory$ProviderProxy.invoke(ProviderFactory.java:166)
	at org.apache.maven.surefire.booter.ProviderFactory.invokeProvider(ProviderFactory.java:86)
	at org.apache.maven.surefire.booter.ForkedBooter.runSuitesInProcess(ForkedBooter.java:101)
	at org.apache.maven.surefire.booter.ForkedBooter.main(ForkedBooter.java:74)
Comment 1 Thomas Heute 2013-06-18 09:08:25 EDT
Issue reported @ eXo https://jira.exoplatform.org/browse/JCR-2188
Comment 2 Dominik Pospisil 2013-11-13 09:24:34 EST
Verified (GA + 0day patch)

Note You need to log in before you can comment on or make changes to this bug.